-- Tau_GreaterGood
-- Author: bane_ (and one million thanks to him)
-- DateCreated: 12/22/2014 5:56:57 PM
--First you have to create a dummy building with <GlobalGreatPeopleRateModifier>10</GlobalGreatPeopleRateModifier>

local eGPPBuilding = GameInfoTypes["BUILDING_DUMMY_GPP"] 

function AngrySweden(iPlayer) 
	local pPlayer = Players[iPlayer] 
	if pPlayer:GetCivilizationType() == GameInfoTypes["CIVILIZATION_TAU_EMPIRE"] then
		local pMyTeam = Teams[pPlayer:GetTeam()] 
		local AlliesAtWar = {} 
		local iNumAllies = 0 
		for i = 0, GameDefines.MAX_MAJOR_CIVS -1, 1 do
			local pCiv = Players[i] 
			local pCivCapital = pCiv:GetCapitalCity()
			local iCivTeam = pCiv:GetTeam()
			if pCiv:IsEverAlive() then
				pCivCapital:SetNumRealBuilding(eGPPBuilding, 0) 
				--print(Locale.ConvertTextKey(pCiv:GetCivilizationAdjective()).. ": Set eGPP to 0.")
			end			
			if pMyTeam:IsAtWar(iCivTeam) then
				for j = 0, GameDefines.MAX_MAJOR_CIVS -1, 1 do
					local pAllyTeam = Teams[Players[j]:GetTeam()] 
					if j ~= i and j ~= iPlayer and pAllyTeam:IsAtWar(iCivTeam) then 
 						iNumAllies = iNumAllies + 1
						table.insert(AlliesAtWar, j)
 					end 
				end 
			end 
		end
		pPlayer:GetCapitalCity():SetNumRealBuilding(eGPPBuilding, iNumAllies) 
	end
end 	


GameEvents.PlayerDoTurn.Add(AngrySweden)